from setuptools import setup, find_packages

setup(
    name="sr_utils",  # Unique name for PyPI
    version="0.1.0",
    packages=find_packages(),
    install_requires=["pandas", "numpy"],  # Dependencies
    author="Saketh Reddy Regatte",
    author_email="sakethreddy.ms@example.com",
    description="A utility package for dataframe comparison",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/saketh/sr_utils",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.8",
)
